Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#58 /proc is (almost) dead

closed-out-of-date
nobody
Filesystem (49)
1
2005-09-11
2004-05-21
Ole Craig
No

I'm having a problem with my 2-node dual-xeons cluster
(running RH9-RC5-STABLE) where most of /proc goes
autistic. This manifests with various
things hanging as soon as they invoke a call that tries
to look in
/proc. Existing root or user shells (either SSH or
console) will
function until such a command (ps, top, w) is run, at
which point the
shell hangs -- the stuck process cannot be killed or
suspended. I can
start a new shell with e.g. "open -s bash &" or "xterm
&" from a
not-yet-dead shell, though.

Interestingly, it's not the entire contents of /proc
that are
gone. One example I happened on by accident is that
"uptime" still
works, although it reports a constantly increasing load
average:

[root@clyde pts]# uptime
18:14:00 up 2:51, 7 users, load average: 12.39,
11.01, 8.97
[root@clyde pts]# uptime
18:14:08 up 2:51, 7 users, load average: 12.44,
11.05, 8.99
[root@clyde pts]# uptime
18:14:14 up 2:51, 7 users, load average: 12.48,
11.08, 9.01
[root@clyde pts]# uptime
18:14:18 up 2:51, 7 users, load average: 12.52,
11.11, 9.03
[root@clyde pts]# strace uptime 2>&1 | grep proc
open("/lib/libproc.so.2.0.11", O_RDONLY) = 3
open("/proc/uptime", O_RDONLY) = 3
open("/proc/stat", O_RDONLY) = 4
open("/proc/loadavg", O_RDONLY) = 5
[root@clyde pts]#

Intrigued by this oddity (since I had assumed that /proc
itself was toast) I began exploring; by opening up an
"xterm &" from
my original shell every time my current xterm-shell
hung, I found out
that a few /proc entries still remain accessible:

bus/*
cluster/*
loadavg
meminfo
stat
uptime

In case they'd be useful, I've recreated the accessible
files and subdirectories under
http://www.cs.umass.edu/~olc/clyde/proc.

Accessing /proc/1 hangs; ditto for any other guessable
PIDs, as well as the following non-PID proc entries:
cmdline
cpuinfo
devices
dma
driver
execdomains
fb
filesystems
fs
ide
interrupts
ioports
irq
kcore
kmsg
ksyms
locks
mdstat
misc
modules
mounts
mtrr
net
partitions
pci
scsi
self
swaps
sys/
sysvipc
tty
version

This has happened several times; unfortunately I don't yet
have a "hard" test case for reproduction.

Thoughts? Suggestions?

Discussion

    • assigned_to: nobody --> vvinod
     
  • Logged In: YES
    user_id=16302

    Hi Vinod,

    See if you can reproduce this.

    Brian

     
    • assigned_to: vvinod --> girish_c
     
  • Logged In: YES
    user_id=582279

    Are you still facing the problem?
    Need some more information. Kindly getback to us.
    Girish

     
    • assigned_to: girish_c --> nobody
     
    • priority: 5 --> 1
     
  • Roger Tsang
    Roger Tsang
    2005-08-26

    • status: open --> pending-out-of-date
     
    • status: pending-out-of-date --> closed-out-of-date
     
  • Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).